| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iPluginConfig Struct Reference
[Utilities]

Interface to a configurator object. More...

`#include <iutil/pluginconfig.h>`

Inheritance diagram for iPluginConfig:

[legend]
List of all members.

## Public Member Functions
virtual bool | GetOption (int id, csVariant *value)=0
| Get option.
virtual bool | GetOptionDescription (int idx, csOptionDescription *option)=0
| Get option description; return FALSE if there is no such option.
virtual bool | SetOption (int id, csVariant *value)=0
| Set option.

## Detailed Description

Interface to a configurator object.

If a SCF module has an object implementing this interface then this can be used to query/set configuration options.

Main creators of instances implementing this interface:

- Some plugins implement this.

Main ways to get pointers to this interface:

- scgQueryInterface() from a plugin instance.

Main users of this interface:

- csCommandLineHelper
- csPluginManager

Definition at line 182 of file pluginconfig.h.

## Member Function Documentation

virtual bool iPluginConfig::GetOption | ( | int | id,
|  | csVariant * | value |
| ) |  |  | `[pure virtual]`

Get option.

Implemented in csGraphics2D.

virtual bool iPluginConfig::GetOptionDescription | ( | int | idx,
|  | csOptionDescription * | option |
| ) |  |  | `[pure virtual]`

Get option description; return FALSE if there is no such option.

Implemented in csGraphics2D.

virtual bool iPluginConfig::SetOption | ( | int | id,
|  | csVariant * | value |
| ) |  |  | `[pure virtual]`

Set option.

Implemented in csGraphics2D.

The documentation for this struct was generated from the following file:

- iutil/pluginconfig.h